ReactNative---遇到的错误3

报错信息

Navigator is deprecated and has been removed from this
package it can now be installed and imported from
instead of 'react-native ' Learn about alternative navigation
solutions at http://facebook.github.io/react-native/docs/navigation.html

解决方式:
这是因为版本升级到0.43以上的话,Navigator不能直接从react-native里面获取了
执行下面的命令:
npm install react-native-deprecated-custom-components--save
然后在引用的地方写:
import {Navigator} from react-native-deprecated-custom-components

已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页